# Add a page version

Creates a new version of a page.

Endpoint: POST /api/v1/pages/{pageId}/version
Version: v1
Security: Bearer

## Path parameters:

  - `pageId` (string, required)
    The page identifier.
    Example: "8f0b81bc-7388-46be-b109-6e73d1114470"

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment.
    Example: "main"

## Request fields (application/json):

  - `language` (string,null)
    The language of the new page version.
Example value: en-US
    Example: "en-US"

  - `site` (string,null)
    The site name.
Example value: my-site
    Example: "my-site"

  - `baseVersion` (integer,null)
    The base version number to create the new version from.
Example value: 1
    Example: 1

  - `versionName` (string,null)
    The name of the new version.
Example value: Black Friday content update
    Example: "Black Friday content update"

## Response 400 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.


